Subject: quoting and parameter expansion problems

From: [email-masked]
Date: Thu, 4 May 2000 18:32:08 -0500 (CDT)

Full_Name: Neil Zanella
Version: 2.3.16
CVS_Date: 
OS: Linux 2.2.13
X_Server: XFree86 3.3.2
Submission from: (NULL) (129.128.88.47)

There seems to be a bug in parameter expansion:

The string '$$2' should be expanded to '$2' but Fvwm seems to first expand
it to '$2' and then to the actual value of the function parameter $2
making it impossible to produce a literal '$2'.

For example:

AddToFunc MyFunc "I" Exec echo 111 222 333 | /bin/awk  '{ print $$2 }' >
myfile

should execute:

echo 111 222 333 | /bin/awk '{ print $2 }' > myfile

Thus I should get

$ cat myfile
222

but instead I get

$ cat myfile
111 222 333

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]